Please support VectorLinux!

Author Topic: 20100121 firefox-3.6 [VL6.0]  (Read 1894 times)

toothandnail

  • Moderator
  • Vectorian
  • *****
  • Posts: 2527
20100121 firefox-3.6 [VL6.0]
« on: January 21, 2010, 12:07:18 pm »
toothandnail has built a new Firefox package for VectorLinux 6.0.
   
      
   
Code: [Select]
firefox: Firefox (Mozilla Firefox Web Browser)
firefox:
firefox: Firefox 3 is the next generation release of the award-winning
firefox: Firefox web browser from Mozilla.
firefox: To comply with Mozilla trademarks, and to assure quality control,
firefox: this is the official Mozilla build, packaged for VectorLinux.
firefox:
firefox:
firefox: License: MPL 1.1/GPL 2.0/LGPL 2.1
firefox: Author:  Mozilla Foundation <drivers@mozilla.org>
firefox: Website: http://www.mozilla.com/en-US/firefox/
   
   After testing this package please stop back here and let us know how it works for you.
   

budulay

  • Packager
  • Vectorian
  • ****
  • Posts: 568
  • NewComer
Re: 20100121 firefox-3.6 [VL6.0]
« Reply #1 on: January 21, 2010, 01:20:04 pm »
so far works pretty good, no complains.

Thank you for packaging it.
VL6.0-Light@MSI MS-1652(AMD TurionX2 ZM-84 2300 MHZ, 4 GB RAM, 250 GB HDD, Nvidia GForce 9600M GT, GIGABYTE AirCruiser N300)
Registered Linux user #473602
SlackBuild Repository for VL7.Not much but it's a start. Join in!

Deach

  • Vectorite
  • ***
  • Posts: 168
Re: 20100121 firefox-3.6 [VL6.0]
« Reply #2 on: January 21, 2010, 08:09:26 pm »
works like a champ here.  Don't know whether it's cause it's cause I want it to be or is.....seems faster though on this old thing here.  Thanks........
Inspiron 4000 Laptop, VL 6.0  600 mhz; 384 ram : Inspiron1100 VL 6.0
Inspiron B120 & B130 Laptop, VL 6.0  1. 4& 1.5  ghz; 1gig ram
IBM Thinkpad Laptop, VL 6.0  1.5 ghz;  1 gig ram

johnvan

  • Member
  • *
  • Posts: 12
Re: 20100121 firefox-3.6 [VL6.0]
« Reply #3 on: January 24, 2010, 10:42:49 am »
For the most part this version works well. However the java plugin no longer is recognized. I did some searching (Google is my friend  ;)) and found that one needs an updated verision of Java and change link to /usr/java/jdk1.6.0_18/jre/lib/i386/libnpjp2.so  (if java is installed in /usr/java). The following is a good description of what is needed http://slackblogs.blogspot.com/2010/01/firefox-36-and-java.html

LLL-edit: See my post below before working on changing the link...you may not have to!!
« Last Edit: February 28, 2010, 08:39:38 am by LLL »

toothandnail

  • Moderator
  • Vectorian
  • *****
  • Posts: 2527
Re: 20100121 firefox-3.6 [VL6.0]
« Reply #4 on: January 24, 2010, 01:02:21 pm »
For the most part this version works well. However the java plugin no longer is recognized. I did some searching (Google is my friend  ;)) and found that one needs an updated verision of Java and change link to /usr/java/jdk1.6.0_18/jre/lib/i386/libnpjp2.so  (if java is installed in /usr/java). The following is a good description of what is needed http://slackblogs.blogspot.com/2010/01/firefox-36-and-java.html

Good find. Thanks for that. I may build Firefox, but I don't use it a great deal, so I didn't even notice the lack of Java.

paul.

GrannyGeek

  • Packager
  • Vectorian
  • ****
  • Posts: 2567
Re: 20100121 firefox-3.6 [VL6.0]
« Reply #5 on: January 24, 2010, 08:28:16 pm »
It has worked for me on three computers. Light use, though.
--GrannyGeek
Registered Linux User #397786

Happily running VL 7 Gold on  a Sempron LE-1300 desktop (2.3 GHz), 4 G RAM,  GeForce 6150 SE onboard graphics and on an HP Pavilion dv7 i7, 6 gigs, Intel 2nd Generation Integrated Graphics Controller

LLL

  • Global Moderator
  • Vectorite
  • *****
  • Posts: 263
  • The sun is shining...
Re: 20100121 firefox-3.6 [VL6.0]
« Reply #6 on: February 28, 2010, 08:36:52 am »
I upgraded to the 3.6 package. Working well. As noted, Java plugin was not showing in about:plugins following upgrade. I went back to Gslapt, upgraded the jre package to 6U18, and did nothing else. Restarted Firefox, and about:plugins shows the Java plugin. I confirmed it was working on Java's browser test here: http://www.java.com/en/download/help/testvm.xml

So seems like an even simpler fix than johnvan initially described (in VL 6 standard, anyway)...much appreciate your pointing it out though, John - I likely wouldn't have noticed the plugin was missing until I really needed it, and then would have panicked and borked a whole bunch of who knows what trying to fix...

Cheers,

LLL
Lost & Lovin' Linux...living on:
VectorLinux 6.0 with XFCE on Thinkpad T43p (2.13 GHz | 2GB | 60GB)